Bug 472792 - Review Request: jempbox - A Java library that implements Adobe's XMP specification
Review Request: jempbox - A Java library that implements Adobe's XMP specific...
Status: CLOSED DUPLICATE of bug 527996
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Conrad Meyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-24 12:16 EST by Mary Ellen Foster
Modified: 2009-10-08 10:45 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-08 10:45:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
konrad: fedora‑review?


Attachments (Terms of Use)
[Review] (7.88 KB, text/plain)
2008-12-17 07:49 EST, Conrad Meyer
no flags Details

  None (edit)
Description Mary Ellen Foster 2008-11-24 12:16:21 EST
Spec URL: http://mef.fedorapeople.org/packages/java-libraries/jempbox.spec
SRPM URL: http://mef.fedorapeople.org/packages/java-libraries/jempbox-0.2.0-2.src.rpm

Description:
JempBox is an open source Java library that implements Adobe's XMP
specification. Its features include:
- Reading/Writing XMP streams
- High level API to standard XMP schemas

(NB: I don't really know what XMP is, but this is an indirect dependency of another Java package I want to get in ...)
Comment 1 Mary Ellen Foster 2008-12-09 11:36:56 EST
Updated with a better BuildRoot and with dist in the version:

http://mef.fedorapeople.org/packages/java-libraries/jempbox.spec
http://mef.fedorapeople.org/packages/java-libraries/jempbox-0.2.0-3.fc10.src.rpm
Comment 2 Conrad Meyer 2008-12-17 07:49:57 EST
Created attachment 327246 [details]
[Review]

Attached is my initial review. Thanks for submitting this software to Fedora!

General comments:
- Why the %update_maven_depmap and friends? It uses ant to build, not maven (note: I don't think this is wrong necessarily, I'm just unfamiliar with maven and would like to understand if this should be part of the java packaging guidelines for ant-built packages as well as maven).

Will approve as soon as "BAD" marked thing is either fixed or explained.
Comment 3 D Haley 2008-12-28 08:28:06 EST
XMP is adobe's new proprietary format  that implements metadata in files, kinda like exif, but supposedly somehow better. It is a patented "technology", however Adobe have provided a "public patent licence"

http://www.adobe.com/devnet/xmp/pdfs/xmp_public_patent_license.pdf

It seems OK to me, but IANAL -- are there any legal issues to consider? The clause 

"A claim is necessarily infringed only when there is no reasonable way to avoid infringement of that claim when defining, creating or processing metadata." 

seems a bit nebulous.
Comment 4 Dominik 'Rathann' Mierzejewski 2009-01-19 18:16:31 EST
We should have RH Legal look at it just in case. Blocking FE-Legal for now.
Comment 5 Tom "spot" Callaway 2009-02-12 14:19:12 EST
Everything checks out here. Lifting FE-Legal.
Comment 6 Orion Poplawski 2009-10-05 19:07:39 EDT
I'm working on packaging up jempbox 0.8.0 from Apache Incubating:

 http://incubator.apache.org/pdfbox/

Are you still wanting to proceed with this review or shall I close and submit my own?
Comment 7 Mary Ellen Foster 2009-10-08 06:28:43 EDT
(In reply to comment #6)
> I'm working on packaging up jempbox 0.8.0 from Apache Incubating:
> 
>  http://incubator.apache.org/pdfbox/
> 
> Are you still wanting to proceed with this review or shall I close and submit
> my own?  

You can go ahead and submit your package -- sorry I let this sit for so long. :(
Comment 8 Orion Poplawski 2009-10-08 10:45:18 EDT

*** This bug has been marked as a duplicate of bug 527996 ***

Note You need to log in before you can comment on or make changes to this bug.